!determine if year is a leap year
      integer function isitaleapyear(year)
!isitaleapyear =0, not a leap year (365 days)
!              =1, leap year (366 days)
      implicit none
      integer year
      isitaleapyear=0
      if((mod(year,4).eq.0).and.(mod(year,100).gt.0))
     &isitaleapyear=1
      if((mod(year,4).eq.0).and.(mod(year,100).eq.0))then
        if(mod(year,400).eq.0)isitaleapyear=1
      endif
      return
      end


      
